Loading...
Searching...
No Matches
globus_net_manager_attr.h File Reference

Globus Network Manager Attributes. More...

`#include "globus_common.h"`

Go to the source code of this file.

## Data Structures

struct | globus_net_manager_attr_s
| Net Manager Attributes. More...

## Macros

#define | GLOBUS_NET_MANAGER_NULL_ATTR
| End of attribute array static initializer.

## Typedefs

typedef struct globus_net_manager_attr_s | globus_net_manager_attr_t
| Net Manager Attributes.

## Functions

globus_result_t | globus_net_manager_attr_init (globus_net_manager_attr_t *attr, const char *scope, const char *name, const char *value)
| Initialize the contents of an attribute.
void | globus_net_manager_attr_destroy (globus_net_manager_attr_t *attr)
| Destroy the contents of an attribute.
globus_result_t | globus_net_manager_attr_array_from_string (globus_net_manager_attr_t **attr, const char *scope, const char *attr_string)
| Parse an array of Network Manager attributes from a string.
globus_result_t | globus_net_manager_attr_array_copy (globus_net_manager_attr_t **dest_array, const globus_net_manager_attr_t *src_array)
| Copy an array of Network Manager attributes.
void | globus_net_manager_attr_array_delete (globus_net_manager_attr_t *attrs)
| Destroy an array of Network Manager attributes.

## Variables

const globus_net_manager_attr_t | globus_net_manager_null_attr
| End of array value.

## Detailed Description

Globus Network Manager Attributes.